### Virtual Method

# Ide CodeIndexer generate_key_async

#### Declaration

    void
    generate_key_async (
      IdeCodeIndexer* self,
      IdeLocation* location,
      const gchar* const* build_flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function will get key of reference located at `IdeSoureLocation`.

In 3.30 this function gained the `build_flags` parameter.

Available since: | 3.32

#### Parameters

`location` | `IdeLocation`
| Source location of refernece.
| The data is owned by the caller of the function.
`build_flags` | An array of `gchar*`
| Array of build flags to parse `file`.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon indexing.
`user_data` | `gpointer`
| User data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.